# limits File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file limits.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define __glibcxx_digits(T)
- #define __glibcxx_digits10(T)
- #define __glibcxx_double_has_denorm_loss
- #define __glibcxx_double_tinyness_before
- #define __glibcxx_double_traps
- #define __glibcxx_float_has_denorm_loss
- #define __glibcxx_float_tinyness_before
- #define __glibcxx_float_traps
- #define __glibcxx_integral_traps
- #define __glibcxx_long_double_has_denorm_loss
- #define __glibcxx_long_double_tinyness_before
- #define __glibcxx_long_double_traps
- #define __glibcxx_max(T)
- #define __glibcxx_min(T)
- #define __glibcxx_signed(T)
- #define _GLIBCXX_NUMERIC_LIMITS

## Enumerations

- enum float_denorm_style { denorm_indeterminate, denorm_absent, denorm_present }
- enum float_round_style {
  round_indeterminate, round_toward_zero, round_to_nearest, round_toward_infinity,
  round_toward_neg_infinity
  }

## Enumeration Type Documentation

enum float_denorm_style

Describes the denormalization for floating-point types.

These values represent the presence or absence of a variable number of exponent bits. This type is used in the std::numeric_limits class.

Enumeration values:

  denorm_indeterminate | Indeterminate at compile time whether denormalized values are allowed.
  denorm_absent | The type does not allow denormalized values.
  denorm_present | The type allows denormalized values.

Definition at line 171 of file limits.

enum float_round_style

Describes the rounding style for floating-point types.

This is used in the std::numeric_limits class.

Enumeration values:

  round_indeterminate | Self-explanatory.
  round_toward_zero | Self-explanatory.
  round_to_nearest | To the nearest representable value.
  round_toward_infinity | Self-explanatory.
  round_toward_neg_infinity | Self-explanatory.

Definition at line 156 of file limits.